Box2D 2.3.0 A 2D Physics Engine for Games

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Enumerations Enumerator Macros Pages
Public Attributes | List of all members
b2JointDef Struct Reference

Joint definitions are used to construct joints. More...

`#include <b2Joint.h>`

Inheritance diagram for b2JointDef:

## Public Attributes
b2JointType | type
| The joint type is set automatically for concrete joint types.
void * | userData
| Use this to attach application specific data to your joints.
b2Body * | bodyA
| The first attached body.
b2Body * | bodyB
| The second attached body.
bool | collideConnected
| Set this flag to true if the attached bodies should collide.

## Detailed Description

Joint definitions are used to construct joints.

The documentation for this struct was generated from the following file:

- b2Joint.h